%define aurox_ver 9.3
%define rel 1

%define archive Hermes

Name:           hermes
Version:        1.3.3
Release: %{aurox_ver}.aur.%{rel}
Summary:        HERMES pixel format conversion library.
Epoch: 0
Group:          System Environment/Libraries
License:        LGPL
URL:            http://clanlib.org/hermes/
Source:         http://clanlib.org/~sphair/download/hermes/1.3/%{archive}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: Hermes = %{epoch}:{version}
Obsoletes: Hermes
# we need depcomp, it's symlinked instead of copied
BuildRequires:	automake

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.
                                                                                
On x86 and MMX architectures, handwritten assembler routines are taking over
the job and doing it lightning fast.
                                                                                
On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package        devel
Summary:        Static libraries and header files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides: Hermes-devel = %{epoch}:{version}
Obsoletes: Hermes-devel

%description    devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{archive}-%{version}

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO*
%{_libdir}/libHermes.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/api/*.htm docs/api/*.txt docs/api/api.ps
%dir %{_includedir}/Hermes
%{_includedir}/Hermes/*.h
%{_libdir}/libHermes.a
%{_libdir}/libHermes.so

# -----------------------------------------------------------------------------

%changelog
* Thu Jan 08 2004 Aurox Team <aurox@aurox.org> 0:1.3.3-9.3.aur.1
- Provides, Obsoletes Hermes, Hermes-devel
- rebuild
- package name is hermes not Hermes
- Epoch 0 defined
- foo
- Initial build for Aurox 9.2

* Sat Jul 05 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.3.3-0.fdr.3: merged spec files

* Sat May 10 2003 Dams <anvil[AT]livna.org> 0:1.3.3-0.fdr.2
- buildroot -> RPM_BUILD_ROOT
- use tar.bz2 instead of tar.gz
